# CHANGES IN tufte VERSION 0.13

- Fix issue with margin content when using Pandoc 2.19 and later by adding `--wrap preserve` by default (thanks, @TomBen, #115).

# CHANGES IN tufte VERSION 0.12

- Fix footnotes as sidenotes issue with Pandoc 2.15 and later (thanks, @MCMaurer, #108).

# CHANGES IN tufte VERSION 0.11

- Fix an issue with Pandoc's table support in `tufte_handout()` (thanks, @chrisjake, #104).

- Fix an issue with Pandoc's citation processing by updating latex template (thanks, @rmcd1024, #106).

# CHANGES IN tufte VERSION 0.10

- Fix an issue with the wrong references placed in margins when `link-citations: yes` is used with Pandoc 2.11+ (#92)

# CHANGES IN tufte VERSION 0.9

- Add the missing `CSLReferences` environment in the template required by Pandoc 2.11+ and its new citeproc (#89)

- `tufte_handout()` now uses default `tidy` knitr option, which is `FALSE`. It can be changed with `knitr::opts_chunk$set(tidy = TRUE)` and requires in that case the **formatR** package.

# CHANGES IN tufte VERSION 0.8

- References are now moved in the margin correctly with Pandoc 2.11 (#86).

- Add a `runningheader` variable in the template for `tufte_handout()` and `tufte_book()` to have a different running header than the title if provided. (#82)

# CHANGES IN tufte VERSION 0.7

- Add the `cslreferences` environment in the template (thanks, @jonathan-g, #80).

# CHANGES IN tufte VERSION 0.6

## NEW FEATURES

- Arbitrary full width content is supported now; see https://rstudio.github.io/tufte/#arbitrary-full-width-content for the syntax (thanks, @mlovelace @josiekre, #33).

## BUG FIXES

- Footnotes no longer work with Pandoc >= 2.7 (thanks, @grimbough, #76).

- Margin references do not work with Pandoc 2.9.2.1 (thanks, @Selbosh, #78).

# CHANGES IN tufte VERSION 0.5

## BUG FIXES

- Make references generated by Pandoc >= 2.7 work in the margin (thanks, @dfeng, #64).

# CHANGES IN tufte VERSION 0.4

## BUG FIXES

- Should use the Pandoc argument `--top-level-division=chapter` instead of `--chapters` for `tufte_book()` (thanks, @jtth, #52).

- Processing of multi-line footnotes fails with the Pandoc option `--wrap preserve` (thanks, @aoles, #57 #58).

# CHANGES IN tufte VERSION 0.3

## NEW FEATURES

- It is possible to select a subset of some features of the default Tufte style (`tufte-css`) via the `tufte_features` argument of `tufte_html()`:

    - Disable the `et-book` fonts.
    - Remove the default light-yellow background color.
    - Use italics for document headers or not.

- A new variant of the Tufte style, `envisioned`, is added to `tufte_html()`. You can use `tufte_html(tufte_variant = 'envisioned')` to enable this style. The major difference with the default Tufte style is: the font family is `Roboto Condensed`, the background color is `#fefefe`, and the text color is `#222` (thanks, @eddelbuettel, #21).

- You can choose whether references from citations should be placed in the document margins or at the bottom using the `margin_references` argument of `tufte_html()` (thanks, @stefanfritsch, #49).

## BUG FIXES

- When `link-citations: no` in YAML, citations should not be moved into the page margin in the HTML output (https://stackoverflow.com/q/39053097/559676).

- Horizontal lines could bisect margin notes and footnotes (thanks, @ajdamico, #32).

- Compatibility issues with Pandoc 2.0 (thanks, @peetCreative, #51).

# CHANGES IN tufte VERSION 0.2

## NEW FEATURES

- it is possible to generate PDF output using the ctex package for R Markdown documents in Chinese; you just need to specify `ctex: yes` in the YAML metadata

## BUG FIXES

- the default LaTeX template for `tufte_handout()` may not work when the LaTeX
  package **soul** is installed, or **ifxetex**/**xltxtra** are not installed

- the `number_sections` option did not work for LaTeX output

# CHANGES IN tufte VERSION 0.1

## NEW FEATURES

- added three output formats for R Markdown: `tufte_html()`, `tufte_handout()`, 
and `tufte_book()`
